---
title: ScrollToOptions.behavior
slug: Web/API/ScrollToOptions/behavior
tags:
  - API
  - Property
  - Reference
  - ScrollToOptions
  - behavior
---
<p>{{ APIRef("CSSOM View") }}</p>

<div>
<p>The <strong><code>behavior</code></strong> property of the {{ domxref("ScrollToOptions") }} dictionary specifies whether the scrolling should animate smoothly, or happen instantly in a single jump.</p>

<p>This is actually defined on the <code>ScrollOptions</code> dictionary, which is implemented by <code>ScrollToOptions</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">behavior: <em>ScrollBehavior</em></pre>

<h3 id="Value">Value</h3>

<p>An enum, the value of which can be one of the following:</p>

<ul>
 <li><code>smooth</code>: The scrolling animates smoothly.</li>
 <li><code>auto</code>: The scrolling happens in a single jump.</li>
</ul>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/ScrollToOptions","Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSSOM View', '#dictdef-scrolloptions', 'behavior')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ScrollToOptions.behavior")}}</p>
</div>

<h2 id="See_also">See also</h2>

<p>{{domxref("ScrollToOptions")}}</p>
